Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing
Class CollectionSplitter

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.routing.AbstractSplitter
              org.mule.routing.CollectionSplitter

All Implemented Interfaces:
  MuleContextAware, InterceptingMessageProcessor, MessageProcessor, MessageSource

    public class CollectionSplitter

extends AbstractSplitter

Splits a message that has a list payload invoking the next message processor one for each item in the list in order.

EIP Reference: http://www.eaipatterns.com/Sequencer.html

Field Summary

Fields inherited from class org.mule.routing.AbstractSplitter
`enableCorrelation, messageInfoMapping, muleContext, resultsHandler`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, next, notificationHandler`

Constructor Summary
`CollectionSplitter()`

Method Summary
`protected List<MuleMessage>` | `splitMessage(MuleEvent event)`

Methods inherited from class org.mule.routing.AbstractSplitter
`isSplitRequired, process, processParts, setEnableCorrelation, setMessageInfoMapping, setMuleContext`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectionSplitter

    public CollectionSplitter()

Method Detail

### splitMessage

    protected List<MuleMessage> splitMessage(MuleEvent event)

  Specified by:
    `splitMessage` in class `AbstractSplitter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.